package com.atlassian.stash.internal.scm.git.binary;

import javax.annotation.Nonnull;

import static com.google.common.base.Preconditions.checkNotNull;

/**
 * @since 3.0
 */
public abstract class AbstractGitBinary implements GitBinary {

    private final String path;

    protected AbstractGitBinary(@Nonnull String path) {
        this.path = checkNotNull(path, "path");
    }

    @Nonnull
    @Override
    public String getPath() {
        return path;
    }
}
